Subject: Re: [PATCH net-next 00/11] bridge: prepare lockless br_port_fill_attrs() (I)

From: Ido Schimmel <[email-masked]>
Date: Fri, 22 May 2026 11:45:38 +0300

On Thu, May 21, 2026 at 01:19:05PM +0000, Eric Dumazet wrote:
> medium-term goal is to allow "ip link show" dump commands to run without RTNL.
> 
> This round of patches adds/fixes some lockess accesses in bridge.
> 
> This is not complete, more patches will come later.
> 
> Ultimately all changes to p->flags should use set_bit()/clear_bit().

Thanks for the patches, Eric. I have two fixes [1][2] that I am planning
to submit next week where I mention some of these issues. There might be
a small conflict between both patchsets. I can review on Sunday unless
it's critical to merge the set before that.

[1] https://github.com/idosch/linux/commit/3350834468428df21c279acca1c37f67e68e1626.patch
[2] https://github.com/idosch/linux/commit/dd63fb916cdeec9e69685726ef65a40b57bd74fb.patch